%global major 1
%define libname %mklibname nvidia-egl-wayland %major
%define devname %mklibname -d nvidia-egl-wayland

%global commit0 885f0a5e91fe9cfbfbcd98ff01f6b83503decef3
%global date 20220806
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
%global tag %{version}

Name:           egl-wayland
Version:        1.1.13
Release:        %mkrel 2
Group:		System/Libraries
Summary:        Wayland EGL External Platform library
License:        MIT
URL:            https://github.com/NVIDIA/%{name}

%if 0%{?tag:1}
Source0:        %url/archive/%{version}/%{name}-%{version}.tar.xz
%else
Source0:        %url/archive/%{commit0}/%{name}-%{shortcommit0}.tar.xz
%endif

Source1:        10_nvidia_wayland.json
Source2:        15_nvidia_gbm.json


BuildRequires:  meson
BuildRequires:  libtool
BuildRequires:  eglexternalplatform-devel
BuildRequires:  cmake
BuildRequires:  libdrm-devel
BuildRequires:  pkgconfig(egl) >= 1.3.4
BuildRequires:  GL-devel
BuildRequires:  wayland-devel
BuildRequires:  wayland-protocols-devel

# Required for directory ownership
Requires:       libglvnd-egl

%description
Wayland EGL External Platform library.

%package json
Summary: JSON data files for Wayland EGL External Platform library
Group: System/Libraries
BuildArch: noarch

%description json
JSON data files for Wayland EGL External Platform library.

%package -n %libname
Summary: Wayland EGL External Platform library
Group: System/Libraries
Requires: %{name}-json >= %{version}-%{release}
Conflicts: x11-driver-video-nvidia-current < 450.66-4

%description -n %libname
%summary

%package -n %devname
Group: Development/Libraries
Summary:        Wayland EGL External Platform library development package
Requires:       %{libname}%{?_isa} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %devname
Development files and headers for Wayland EGL External Platform library.

%prep
%if 0%{?tag:1}
%autosetup -p1
%else
%autosetup -p1 -n %{name}-%{commit0}
%endif

%build
%meson
%meson_build

%install
%meson_install

install -m 0755 -d %{buildroot}%{_datadir}/egl/egl_external_platform.d/
install -pm 0644 %{SOURCE1} %{SOURCE2} %{buildroot}%{_datadir}/egl/egl_external_platform.d/
find %{buildroot} -name '*.la' -delete

%files -n %libname
%{_libdir}/libnvidia-egl-wayland.so.%{major}{,.*}

%files json
%{_datadir}/egl/egl_external_platform.d/10_nvidia_wayland.json
%{_datadir}/egl/egl_external_platform.d/15_nvidia_gbm.json

%files -n %devname
%{_libdir}/libnvidia-egl-wayland.so
%{_libdir}/pkgconfig/wayland-eglstream.pc
%{_datadir}/pkgconfig/wayland-eglstream-protocols.pc
%{_datadir}/wayland-eglstream/


%changelog
* Tue Nov 14 2023 tex - 1.1.13-2pclos2023
- rebuild against updates

* Thu Oct 19 2023 tex - 1.1.13-1pclos2023
- new version

* Thu Sep 21 2023 tex - 1.1.12-1pclos2023
- Update to 1.1.12
